
function 回城()
等待(3000)
输出信息(当前地图编号)
if 当前地图编号=="3" then
停止战斗()
else 
使用物品("回城卷")
等待(5000)
end
停止战斗()
end


function NPC补药()
系统显示("--正在去NPC处补充药品--",255,16777215)
走到(357,336,3)
for i=1,20 do
if 取背包空位()>1 then
if 取背包中物品数量("超级金创药")<20 then
购买NPC物品("药店老板","超级金创药",1)
等待(500)
end
end
end
for i=1,2 do
if 取背包空位()>1 then
if 取背包中物品数量("超级魔法药")<4 then
购买NPC物品("药店老板","超级魔法药",1)
等待(500)
end
end
end
end


function 出发()
开启穿人穿怪()
走到(337,334,3)
关闭穿人穿怪()
对话NPC("游戏向导")
等待(1500)
选择("@mfc02")
等待(500)
走到(141,91,0)
等待(500)
走到(139,85,0)
等待(500)
系统显示("准备战斗",255,16777215)
系统显示("/老板 我进入1号挂机地图，正常开始挂机",255,16777215)
end


系统显示("开开心心去挂机了",255,16777215) 
if 取背包中物品数量("超级金创药")>2 and 当前地图编号~="3" then
开始战斗()
else
输出信息("挂机脚本执行到开头")
停止战斗()
回城()
NPC补药()
出发()
开始战斗()
输出信息("挂机脚本执行到尾部")
end

